//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Wed Jan 23 21:02:04 PST 2002
// Last Modified: Wed Jan 23 21:02:08 PST 2002
// Filename:      ...soundio/extractChannel.cpp
// Syntax:        C++ 
//
// Description:   Extracts a channel from a multi-channel soundfile and
//                stores the results in a single-channel soundfile.
//

#include "soundio.h"
#include <stdlib.h>
#include <iostream.h>


int main(int argc, char** argv) {
   Options options;
   options.define("c|channel=i:0",   "channel to extract (offset from zero)");
   options.process(argc, argv);
   
   int channel = options.getInteger("channel");
   const char* inputname  = options.getArg(1);
   const char* outputname = options.getArg(2);

   SoundFileRead  insound(inputname);
   SoundHeader    header = insound;
   header.setChannels(1);
   SoundFileWrite outsound(outputname, header);

   int i;
   for (i=0; i<insound.getSamples(); i++) {
      insound.incrementSample();   // starts on zeros first time
      outsound.writeSampleDouble(insound.getCurrentSampleDouble(channel));
   }

   return 0;
}





