//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Wed Jan 23 20:03:00 PST 2002
// Last Modified: Wed Jan 23 20:03:03 PST 2002
// Filename:      ...soundio/sndcopy.cpp
// Syntax:        C++ 
//
// Description:   Test reading a soundfile using SoundFileRead and
//                SoundFileWrite class.  The output of this program 
//                should be identical to the input; otherwise, there
//                may be bugs in the sound i/o classes.
//

#include "soundio.h"
#include <stdlib.h>
#include <iostream.h>


int main(int argc, char** argv) {
   Options options;
   options.process(argc, argv);
   const char* inputname  = options.getArg(1);
   const char* outputname = options.getArg(2);

   SoundFileRead  insound(inputname);
   SoundFileWrite outsound(outputname, insound);

   int i, channel;
   for (i=0; i<insound.getSamples(); i++) {
      insound.incrementSample();   // starts on zeros first time
      for (channel=0; channel < insound.getChannels(); channel++) {
         outsound.writeSampleDouble(insound.getCurrentSampleDouble(channel));
      }
   }

   return 0;
}





