//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Wed Jan 23 21:58:50 PST 2002
// Last Modified: Wed Jan 23 21:58:53 PST 2002
// Filename:      ...soundio/sndsubtract.cpp
// Syntax:        C++ 
//
// Description:   subtract two sound files and store results in a third 
//                soundfile.  Input soundfiles are assumed to have the
//                same number of channels and ideally should have the
//                same length.
//


#include "soundio.h"
#include <stdlib.h>
#include <iostream.h>


int main(int argc, char** argv) {
   Options options;
   options.process(argc, argv);
   const char* inputname1 = options.getArg(1);
   const char* inputname2 = options.getArg(2);
   const char* outputname = options.getArg(3);

   SoundFileRead  insound1(inputname1);
   SoundFileRead  insound2(inputname2);
   SoundFileWrite outsound(outputname, insound1);

   int i, channel;
   double sample = 0.0;
   for (i=0; i<insound1.getSamples(); i++) {
      insound1.incrementSample();   // starts on zeros first time
      insound2.incrementSample();   // starts on zeros first time
      for (channel=0; channel < insound1.getChannels(); channel++) {
         sample = insound1.getCurrentSampleDouble(channel);
         sample = sample - insound2.getCurrentSampleDouble(channel);
         outsound.writeSampleDouble(sample);
      }
   }

   return 0;
}





